<?php
	
	$food_truck_lite_first_theme_color = get_theme_mod('food_truck_lite_first_theme_color');

	$food_truck_lite_second_theme_color = get_theme_mod('food_truck_lite_second_theme_color');

	$food_truck_lite_custom_css = '';

	if($food_truck_lite_first_theme_color != false){
		$food_truck_lite_custom_css .='input[type="submit"],.nav-menu ul ul a,.top-bar-btn a,.read-more a:hover,.post-info,h1.page-title, h1.search-title,.blogbtn a,.back-to-top,#footer input[type="submit"],.footerinner .tagcloud a:hover,.woocommerce nav.woocommerce-pagination ul li a:hover, .woocommerce nav.woocommerce-pagination ul li span.current,.woocommerce span.onsale,.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover,.woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover,nav.woocommerce-MyAccount-navigation ul li,.woocommerce-product-search button,.woocommerce .widget_shopping_cart .buttons a:hover, .woocommerce.widget_shopping_cart .buttons a:hover, .woocommerce .widget_price_filter .price_slider_amount .button:hover,.woocommerce .widget_price_filter .ui-slider-horizontal .ui-slider-range, .woocommerce .widget_price_filter .ui-slider .ui-slider-handle,#maincontent .bradcrumbs a ,#maincontent .bradcrumbs span,#comments input[type="submit"].submit,#comments a.comment-reply-link,#sidebar h3,#sidebar input[type="submit"],#sidebar .tagcloud a:hover,.more-button a,.pagination a:hover,.pagination .current,.navigation .nav-previous a, .navigation .nav-next a,.tags a:hover,.post-categories li a,#maincontent .wp-block-button a,span.page-links-title.p-3,.page-links .current .page-number,.page-links a span:hover, #sidebar .wp-block-tag-cloud a:hover,#sidebar h2,#sidebar .wp-block-search .wp-block-search__label,.wp-block-search__button, button.wp-block-search__button.wp-element-button,.footerinner .wp-block-tag-cloud a:hover,.wp-block-tag-cloud a:hover, a.wc-block-components-totals-coupon-link, a.components-button.wc-block-components-button.wp-element-button.wc-block-cart__submit-button.contained, a.wc-block-components-checkout-return-to-cart-button, .wc-block-components-totals-coupon__button.contained, button.wc-block-components-checkout-place-order-button{';
			$food_truck_lite_custom_css .='background-color: '.esc_attr($food_truck_lite_first_theme_color).'';
		$food_truck_lite_custom_css .='}';
	}
	if($food_truck_lite_first_theme_color != false){
		$food_truck_lite_custom_css .='p.call-info i,i.fas.fa-shopping-basket.me-2,#menu-section strong,#footer h3,.woocommerce nav.woocommerce-pagination ul li a, .woocommerce nav.woocommerce-pagination ul li span,.woocommerce-message::before,.social-links i,span.post-title,.tags a i,.nav-menu ul li a:hover,.wp-calendar-nav a,.star-rating span,.woocommerce-review-link, .wp-calendar-nav a,.wp-block-latest-comments__comment-meta a,#footer h2,#footer lable,#footer .wp-block-search__label,.rss-widget-title, .wp-block-archives a,.wp-block-categories a,.wp-block-latest-posts a,.wp-block-page-list a,.wp-block-rss a{';
			$food_truck_lite_custom_css .='color: '.esc_attr($food_truck_lite_first_theme_color).'';
		$food_truck_lite_custom_css .='}';
	}
	if($food_truck_lite_first_theme_color != false){
		$food_truck_lite_custom_css .='.nav-menu ul ul,.read-more a:hover,.blog-sec,.woocommerce nav.woocommerce-pagination ul li a, .woocommerce nav.woocommerce-pagination ul li span,.woocommerce-message,#sidebar .widget,.pagination a:hover,.pagination .current,.tags a:hover,#footer h3,.page-links .current .page-number,.footerinner .tagcloud a:hover,.footerinner .wp-block-tag-cloud a:hover,#footer .wp-block-search__label, a.wc-block-components-totals-coupon-link, a.components-button.wc-block-components-button.wp-element-button.wc-block-cart__submit-button.contained, a.wc-block-components-checkout-return-to-cart-button, .wc-block-components-totals-coupon__button.contained, button.wc-block-components-checkout-place-order-button{';
			$food_truck_lite_custom_css .='border-color: '.esc_attr($food_truck_lite_first_theme_color).'';
		$food_truck_lite_custom_css .='}';
	}
	if($food_truck_lite_first_theme_color != false){
		$food_truck_lite_custom_css .='.nav-menu ul ul a:hover, .nav-menu ul li a:hover{';
	 		$food_truck_lite_custom_css .='border-left-color: '.esc_attr($food_truck_lite_first_theme_color).'';
	 	$food_truck_lite_custom_css .='}';
	 }
	 if($food_truck_lite_first_theme_color != false){
		$food_truck_lite_custom_css .='#header,.back-to-top::before {';
	 		$food_truck_lite_custom_css .='border-bottom-color: '.esc_attr($food_truck_lite_first_theme_color).'';
	 	$food_truck_lite_custom_css .='}';
	 }
	  if($food_truck_lite_first_theme_color != false){
		$food_truck_lite_custom_css .='.inner{';
	 		$food_truck_lite_custom_css .='border-top-color: '.esc_attr($food_truck_lite_first_theme_color).'';
	 	$food_truck_lite_custom_css .='}';
	 }

	 if($food_truck_lite_second_theme_color != false){
		$food_truck_lite_custom_css .='.woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button,.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, a.added_to_cart.wc-forward{';
			$food_truck_lite_custom_css .='background-color: '.esc_attr($food_truck_lite_second_theme_color).';';
		$food_truck_lite_custom_css .='}';
	 }

	// Layout Options
	$food_truck_lite_theme_layout = get_theme_mod( 'food_truck_lite_theme_layout_options','Default Theme');
    if($food_truck_lite_theme_layout == 'Default Theme'){
		$food_truck_lite_custom_css .='body{';
			$food_truck_lite_custom_css .='max-width: 100%;';
		$food_truck_lite_custom_css .='}';
	}else if($food_truck_lite_theme_layout == 'Container Theme'){
		$food_truck_lite_custom_css .='body{';
			$food_truck_lite_custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$food_truck_lite_custom_css .='}';
	}else if($food_truck_lite_theme_layout == 'Box Container Theme'){
		$food_truck_lite_custom_css .='body{';
			$food_truck_lite_custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$food_truck_lite_custom_css .='}';
	}
	
	/*--------- Preloader Color Option -------*/
	$food_truck_lite_preloader_color = get_theme_mod('food_truck_lite_preloader_color');

	if($food_truck_lite_preloader_color != false){
		$food_truck_lite_custom_css .=' .tg-loader{';
			$food_truck_lite_custom_css .='border-color: '.esc_attr($food_truck_lite_preloader_color).';';
		$food_truck_lite_custom_css .='} ';
		$food_truck_lite_custom_css .=' .tg-loader-inner, .preloader .preloader-container .animated-preloader, .preloader .preloader-container .animated-preloader:before{';
			$food_truck_lite_custom_css .='background-color: '.esc_attr($food_truck_lite_preloader_color).';';
		$food_truck_lite_custom_css .='} ';
	}

	$food_truck_lite_preloader_bg_color = get_theme_mod('food_truck_lite_preloader_bg_color');

	if($food_truck_lite_preloader_bg_color != false){
		$food_truck_lite_custom_css .=' #overlayer, .preloader{';
			$food_truck_lite_custom_css .='background-color: '.esc_attr($food_truck_lite_preloader_bg_color).';';
		$food_truck_lite_custom_css .='} ';
	}

	$food_truck_lite_preloader_bg_img = get_theme_mod('food_truck_lite_preloader_bg_img');
	if($food_truck_lite_preloader_bg_img != false){
		$food_truck_lite_custom_css .=' #overlayer, .preloader{';
			$food_truck_lite_custom_css .='background: url('.esc_attr($food_truck_lite_preloader_bg_img).');-webkit-background-size: cover; -moz-background-size: cover; -o-background-size: cover; background-size: cover;';
		$food_truck_lite_custom_css .='}';
	}

	/*--------- Top Header ----------*/
	$food_truck_lite_top_bar = get_theme_mod('food_truck_lite_top_header',false);

	if($food_truck_lite_top_bar == false){
		$food_truck_lite_custom_css .=' .page-template-custom-front-page #header{';
			$food_truck_lite_custom_css .='top: 10px;';
		$food_truck_lite_custom_css .='} ';
	}

	// Slider Arrows hover color
	$food_truck_lite_slider_arrows_hover_color = get_theme_mod('food_truck_lite_slider_arrows_hover_color');
	$food_truck_lite_custom_css .='#slider .carousel-control-prev-icon:hover,#slider .carousel-control-next-icon:hover{';
			$food_truck_lite_custom_css .='background-color: '.esc_attr($food_truck_lite_slider_arrows_hover_color).' !important;';
	$food_truck_lite_custom_css .='}';

	// Slider Button color
	$food_truck_lite_slider_btn_color = get_theme_mod('food_truck_lite_slider_btn_color','#fff');
	$food_truck_lite_custom_css .='.read-more a{';
			$food_truck_lite_custom_css .='color: '.esc_attr($food_truck_lite_slider_btn_color).' !important;';
	$food_truck_lite_custom_css .='}';

	// Slider button bg color
	$food_truck_lite_slider_btn_bg_color = get_theme_mod('food_truck_lite_slider_btn_bg_color');
	$food_truck_lite_custom_css .='.read-more a{';
			$food_truck_lite_custom_css .='background: '.esc_attr($food_truck_lite_slider_btn_bg_color).' !important;';
	$food_truck_lite_custom_css .='}';

	// Slider button border radius
	$food_truck_lite_slider_btn_border_radius = get_theme_mod('food_truck_lite_slider_btn_border_radius','5');
	$food_truck_lite_custom_css .='.read-more a{';
		$food_truck_lite_custom_css .='border-radius: '.esc_attr($food_truck_lite_slider_btn_border_radius).'px !important;';
	$food_truck_lite_custom_css .='}';

	// Slider button lable hover color
	$food_truck_lite_slider_btn_lable_hover_color = get_theme_mod('food_truck_lite_slider_btn_lable_hover_color','#fff');
	$food_truck_lite_custom_css .='.read-more a:hover{';
			$food_truck_lite_custom_css .='color: '.esc_attr($food_truck_lite_slider_btn_lable_hover_color).' !important;';
	$food_truck_lite_custom_css .='}';

	// Slider button bg hover color
	$food_truck_lite_slider_btn_bg_hover_color = get_theme_mod('food_truck_lite_slider_btn_bg_hover_color','');
	$food_truck_lite_custom_css .='.read-more a:hover{';
			$food_truck_lite_custom_css .='background: '.esc_attr($food_truck_lite_slider_btn_bg_hover_color).' !important;';
	$food_truck_lite_custom_css .='}';

	/*---- Slider Height ------*/
	$food_truck_lite_slider_height = get_theme_mod('food_truck_lite_slider_height');
	$food_truck_lite_custom_css .='#slider img{';
		$food_truck_lite_custom_css .='height: '.esc_attr($food_truck_lite_slider_height).'px;';
	$food_truck_lite_custom_css .='}';
	$food_truck_lite_custom_css .='@media screen and (max-width: 768px){
		#slider img{';
		$food_truck_lite_custom_css .='height: auto;';
	$food_truck_lite_custom_css .='} }';

	/*---- Slider Image overlay -----*/
	$food_truck_lite_slider_image_overlay = get_theme_mod('food_truck_lite_slider_image_overlay',true);
	if($food_truck_lite_slider_image_overlay == false){
		$food_truck_lite_custom_css .='#slider img {';
			$food_truck_lite_custom_css .='opacity: 1;';
		$food_truck_lite_custom_css .='}';
	}

	$food_truck_lite_slider_overlay_color = get_theme_mod('food_truck_lite_slider_overlay_color');
	if($food_truck_lite_slider_overlay_color != false){
		$food_truck_lite_custom_css .='#slider  {';
			$food_truck_lite_custom_css .='background-color: '.esc_attr($food_truck_lite_slider_overlay_color).';';
		$food_truck_lite_custom_css .='}';
	}

	// Metabox Seperator
	$food_truck_lite_metabox_seperator = get_theme_mod('food_truck_lite_metabox_seperator','|');
	if($food_truck_lite_metabox_seperator != '' ){
		$food_truck_lite_custom_css .='.blog-sec .post-info span:after{';
			$food_truck_lite_custom_css .=' content: "'.esc_attr($food_truck_lite_metabox_seperator).'"; padding-left:10px;';
		$food_truck_lite_custom_css .='}';
		$food_truck_lite_custom_css .='.blog-sec .post-info span:last-child:after{';
			$food_truck_lite_custom_css .=' content: none;';
		$food_truck_lite_custom_css .='}';
	}

	// Metabox Seperator Single post
	$food_truck_lite_single_post_metabox_seperator = get_theme_mod('food_truck_lite_single_post_metabox_seperator','|');
	if($food_truck_lite_single_post_metabox_seperator != '' ){
		$food_truck_lite_custom_css .='.post-info span:after{';
			$food_truck_lite_custom_css .=' content: "'.esc_attr($food_truck_lite_single_post_metabox_seperator).'"; padding-left:10px;';
		$food_truck_lite_custom_css .='}';
		$food_truck_lite_custom_css .='.post-info span:last-child:after{';
			$food_truck_lite_custom_css .=' content: none;';
		$food_truck_lite_custom_css .='}';
	}

	/*------------ Button Settings option-----------------*/

	$food_truck_lite_top_button_padding = get_theme_mod('food_truck_lite_top_button_padding');
	$food_truck_lite_bottom_button_padding = get_theme_mod('food_truck_lite_bottom_button_padding');
	$food_truck_lite_left_button_padding = get_theme_mod('food_truck_lite_left_button_padding');
	$food_truck_lite_right_button_padding = get_theme_mod('food_truck_lite_right_button_padding');
	if($food_truck_lite_top_button_padding != false || $food_truck_lite_bottom_button_padding != false || $food_truck_lite_left_button_padding != false || $food_truck_lite_right_button_padding != false){
		$food_truck_lite_custom_css .='.blogbtn a, .read-more a, #comments input[type="submit"].submit{';
			$food_truck_lite_custom_css .='padding-top: '.esc_attr($food_truck_lite_top_button_padding).'px; padding-bottom: '.esc_attr($food_truck_lite_bottom_button_padding).'px; padding-left: '.esc_attr($food_truck_lite_left_button_padding).'px; padding-right: '.esc_attr($food_truck_lite_right_button_padding).'px; display:inline-block;';
		$food_truck_lite_custom_css .='}';
	}

	$food_truck_lite_button_border_radius = get_theme_mod('food_truck_lite_button_border_radius');
	$food_truck_lite_custom_css .='.blogbtn a, .read-more a, #comments input[type="submit"].submit{';
		$food_truck_lite_custom_css .='border-radius: '.esc_attr($food_truck_lite_button_border_radius).'px;';
	$food_truck_lite_custom_css .='}';

	// button font weight
	$food_truck_lite_button_font_weight = get_theme_mod('food_truck_lite_button_font_weight', '500');
  	$food_truck_lite_custom_css .='.blogbtn a{';
    $food_truck_lite_custom_css .='font-weight: '.esc_attr($food_truck_lite_button_font_weight).';';
  	$food_truck_lite_custom_css .='}';


  	// button text transform
  	$food_truck_lite_button_text_transform = get_theme_mod('food_truck_lite_button_text_transform');
  	if($food_truck_lite_button_text_transform == 'uppercase' ){
    	$food_truck_lite_custom_css .='.blogbtn a{';
      	$food_truck_lite_custom_css .=' text-transform: uppercase;';
    	$food_truck_lite_custom_css .='}';
  	}elseif($food_truck_lite_button_text_transform == 'capitalize' ){
    	$food_truck_lite_custom_css .='.blogbtn a{';
      	$food_truck_lite_custom_css .=' text-transform: capitalize;';
    	$food_truck_lite_custom_css .='}';
  	}elseif($food_truck_lite_button_text_transform == 'lowercase' ){
    	$food_truck_lite_custom_css .='.blogbtn a{';
      	$food_truck_lite_custom_css .=' text-transform: lowercase;';
    	$food_truck_lite_custom_css .='}';
  	}

  	// widgets heading font size
	$food_truck_lite_widgets_heading_fontsize = get_theme_mod('food_truck_lite_widgets_heading_fontsize',25);
	if($food_truck_lite_widgets_heading_fontsize != false){
		$food_truck_lite_custom_css .='#footer h3, #footer h2, #footer .wp-block-search__label{';
			$food_truck_lite_custom_css .='font-size: '.esc_attr($food_truck_lite_widgets_heading_fontsize).'px; ';
		$food_truck_lite_custom_css .='}';
	}

	// widgets heading font weight
	$food_truck_lite_widgets_heading_font_weight = get_theme_mod('food_truck_lite_widgets_heading_font_weight', '600');
  	$food_truck_lite_custom_css .='#footer h3, #footer h2, #footer .wp-block-search__label{';
    $food_truck_lite_custom_css .='font-weight: '.esc_attr($food_truck_lite_widgets_heading_font_weight).';';
  	$food_truck_lite_custom_css .='}';

	/*----------- Footer widgets heading alignment -----*/
	$food_truck_lite_footer_widgets_heading = get_theme_mod( 'food_truck_lite_footer_widgets_heading','Left');
    if($food_truck_lite_footer_widgets_heading == 'Left'){
		$food_truck_lite_custom_css .='#footer h3{';
		$food_truck_lite_custom_css .='text-align: left;';
		$food_truck_lite_custom_css .='}';
	}else if($food_truck_lite_footer_widgets_heading == 'Center'){
		$food_truck_lite_custom_css .='#footer h3{';
			$food_truck_lite_custom_css .='text-align: center;';
		$food_truck_lite_custom_css .='}';
	}else if($food_truck_lite_footer_widgets_heading == 'Right'){
		$food_truck_lite_custom_css .='#footer h3{';
			$food_truck_lite_custom_css .='text-align: right;';
		$food_truck_lite_custom_css .='}';
	}

	$food_truck_lite_footer_widgets_content = get_theme_mod( 'food_truck_lite_footer_widgets_content','Left');
    if($food_truck_lite_footer_widgets_content == 'Left'){
		$food_truck_lite_custom_css .='#footer .widget ul{';
		$food_truck_lite_custom_css .='text-align: left;';
		$food_truck_lite_custom_css .='}';
	}else if($food_truck_lite_footer_widgets_content == 'Center'){
		$food_truck_lite_custom_css .='#footer .widget ul{';
			$food_truck_lite_custom_css .='text-align: center;';
		$food_truck_lite_custom_css .='}';
	}else if($food_truck_lite_footer_widgets_content == 'Right'){
		$food_truck_lite_custom_css .='#footer .widget ul{';
			$food_truck_lite_custom_css .='text-align: right;';
		$food_truck_lite_custom_css .='}';
	}

	/*----------- Copyright css -----*/
	$food_truck_lite_copyright_top_padding = get_theme_mod('food_truck_lite_top_copyright_padding');
	$food_truck_lite_copyright_bottom_padding = get_theme_mod('food_truck_lite_bottom_copyright_padding');
	if($food_truck_lite_copyright_top_padding != '' || $food_truck_lite_copyright_bottom_padding != ''){
		$food_truck_lite_custom_css .='.inner{';
			$food_truck_lite_custom_css .='padding-top: '.esc_attr($food_truck_lite_copyright_top_padding).'px; padding-bottom: '.esc_attr($food_truck_lite_copyright_bottom_padding).'px; ';
		$food_truck_lite_custom_css .='}';
	}

	$food_truck_lite_copyright_alignment = get_theme_mod('food_truck_lite_copyright_alignment', 'center');
	if($food_truck_lite_copyright_alignment == 'center' ){
		$food_truck_lite_custom_css .='#footer .copyright p{';
			$food_truck_lite_custom_css .='text-align: '. $food_truck_lite_copyright_alignment .';';
		$food_truck_lite_custom_css .='}';
	}elseif($food_truck_lite_copyright_alignment == 'left' ){
		$food_truck_lite_custom_css .='#footer .copyright p{';
			$food_truck_lite_custom_css .=' text-align: '. $food_truck_lite_copyright_alignment .';';
		$food_truck_lite_custom_css .='}';
	}elseif($food_truck_lite_copyright_alignment == 'right' ){
		$food_truck_lite_custom_css .='#footer .copyright p{';
			$food_truck_lite_custom_css .='text-align: '. $food_truck_lite_copyright_alignment .';';
		$food_truck_lite_custom_css .='}';
	}

	$food_truck_lite_copyright_font_size = get_theme_mod('food_truck_lite_copyright_font_size');
	$food_truck_lite_custom_css .='#footer .copyright p{';
		$food_truck_lite_custom_css .='font-size: '.esc_attr($food_truck_lite_copyright_font_size).'px;';
	$food_truck_lite_custom_css .='}';

	$food_truck_lite_copyright_color = get_theme_mod('food_truck_lite_copyright_color');
	$food_truck_lite_custom_css .='#footer .copyright p,#footer .copyright a{';
		$food_truck_lite_custom_css .='color: '.esc_attr($food_truck_lite_copyright_color).'!important;';
	$food_truck_lite_custom_css .='}';

	$food_truck_lite_back_to_top_text_color = get_theme_mod('food_truck_lite_back_to_top_text_color');
	$food_truck_lite_custom_css .='.back-to-top{';
		$food_truck_lite_custom_css .='color: '.esc_attr($food_truck_lite_back_to_top_text_color).'!important;';
	$food_truck_lite_custom_css .='}';

	/*-------- Blog Post Alignment ------*/
	$food_truck_lite_post_alignment = get_theme_mod('food_truck_lite_blog_post_alignment', 'center');
	if($food_truck_lite_post_alignment == 'left' ){
		$food_truck_lite_custom_css .='.blog-sec, .blog-sec h2, .post-info, .blogbtn{';
			$food_truck_lite_custom_css .=' text-align: '. $food_truck_lite_post_alignment .'!important;';
		$food_truck_lite_custom_css .='}';
	}elseif($food_truck_lite_post_alignment == 'right' ){
		$food_truck_lite_custom_css .='.blog-sec, .blog-sec h2, .post-info, .blogbtn{';
			$food_truck_lite_custom_css .='text-align: '. $food_truck_lite_post_alignment .'!important;';
		$food_truck_lite_custom_css .='}';
	}

	/*------ Topbar padding ------*/
	$food_truck_lite_top_topbar_padding = get_theme_mod('food_truck_lite_top_topbar_padding');
	$food_truck_lite_bottom_topbar_padding = get_theme_mod('food_truck_lite_bottom_topbar_padding');
	if($food_truck_lite_top_topbar_padding != false || $food_truck_lite_bottom_topbar_padding != false){
		$food_truck_lite_custom_css .='.top-bar, .page-template-custom-front-page .top-bar{';
			$food_truck_lite_custom_css .='padding-top: '.esc_attr($food_truck_lite_top_topbar_padding).'px !important; padding-bottom: '.esc_attr($food_truck_lite_bottom_topbar_padding).'px !important; ';
		$food_truck_lite_custom_css .='}';
	}

	// Header Social Icons Font Size
    $food_truck_lite_header_icons_font_size = get_theme_mod('food_truck_lite_header_icons_font_size', '16');
    $food_truck_lite_custom_css .='p.call-info a,.top-bar .cart_no i{';
        $food_truck_lite_custom_css .='font-size: '.esc_attr($food_truck_lite_header_icons_font_size).'px;';
    $food_truck_lite_custom_css .='}';

	/*------ Woocommerce ----*/
	$food_truck_lite_product_border = get_theme_mod('food_truck_lite_product_border',true);

	if($food_truck_lite_product_border == false){
		$food_truck_lite_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$food_truck_lite_custom_css .='border: 0;';
		$food_truck_lite_custom_css .='}';
	}

	$food_truck_lite_product_top = get_theme_mod('food_truck_lite_product_top_padding',10);
	$food_truck_lite_product_bottom = get_theme_mod('food_truck_lite_product_bottom_padding',10);
	$food_truck_lite_product_left = get_theme_mod('food_truck_lite_product_left_padding',10);
	$food_truck_lite_product_right = get_theme_mod('food_truck_lite_product_right_padding',10);
	if($food_truck_lite_product_top != false || $food_truck_lite_product_bottom != false || $food_truck_lite_product_left != false || $food_truck_lite_product_right != false){
		$food_truck_lite_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$food_truck_lite_custom_css .='padding-top: '.esc_attr($food_truck_lite_product_top).'px; padding-bottom: '.esc_attr($food_truck_lite_product_bottom).'px; padding-left: '.esc_attr($food_truck_lite_product_left).'px; padding-right: '.esc_attr($food_truck_lite_product_right).'px;';
		$food_truck_lite_custom_css .='}';
	}

	$food_truck_lite_product_border_radius = get_theme_mod('food_truck_lite_product_border_radius');
	if($food_truck_lite_product_border_radius != false){
		$food_truck_lite_custom_css .='.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{';
			$food_truck_lite_custom_css .='border-radius: '.esc_attr($food_truck_lite_product_border_radius).'px;';
		$food_truck_lite_custom_css .='}';
	}

	/*----- WooCommerce button css --------*/
	$food_truck_lite_product_button_top = get_theme_mod('food_truck_lite_product_button_top_padding',10);
	$food_truck_lite_product_button_bottom = get_theme_mod('food_truck_lite_product_button_bottom_padding',10);
	$food_truck_lite_product_button_left = get_theme_mod('food_truck_lite_product_button_left_padding',12);
	$food_truck_lite_product_button_right = get_theme_mod('food_truck_lite_product_button_right_padding',12);
	if($food_truck_lite_product_button_top != false || $food_truck_lite_product_button_bottom != false || $food_truck_lite_product_button_left != false || $food_truck_lite_product_button_right != false){
		$food_truck_lite_custom_css .='.woocommerce ul.products li.product .button, .woocommerce div.product form.cart .button, a.button.wc-forward, .woocommerce .cart .button, .woocommerce .cart input.button, .woocommerce #payment #place_order, .woocommerce-page #payment #place_order, button.woocommerce-button.button.woocommerce-form-login__submit, .woocommerce button.button:disabled, .woocommerce button.button:disabled[disabled]{';
			$food_truck_lite_custom_css .='padding-top: '.esc_attr($food_truck_lite_product_button_top).'px; padding-bottom: '.esc_attr($food_truck_lite_product_button_bottom).'px; padding-left: '.esc_attr($food_truck_lite_product_button_left).'px; padding-right: '.esc_attr($food_truck_lite_product_button_right).'px;';
		$food_truck_lite_custom_css .='}';
	}

	$food_truck_lite_product_button_border_radius = get_theme_mod('food_truck_lite_product_button_border_radius');
	if($food_truck_lite_product_button_border_radius != false){
		$food_truck_lite_custom_css .='.woocommerce ul.products li.product .button, .woocommerce div.product form.cart .button, a.button.wc-forward, .woocommerce .cart .button, .woocommerce .cart input.button, a.checkout-button.button.alt.wc-forward, .woocommerce #payment #place_order, .woocommerce-page #payment #place_order, button.woocommerce-button.button.woocommerce-form-login__submit{';
			$food_truck_lite_custom_css .='border-radius: '.esc_attr($food_truck_lite_product_button_border_radius).'px;';
		$food_truck_lite_custom_css .='}';
	}

	/*----- WooCommerce product sale css --------*/
	$food_truck_lite_product_sale_top = get_theme_mod('food_truck_lite_product_sale_top_padding');
	$food_truck_lite_product_sale_bottom = get_theme_mod('food_truck_lite_product_sale_bottom_padding');
	$food_truck_lite_product_sale_left = get_theme_mod('food_truck_lite_product_sale_left_padding');
	$food_truck_lite_product_sale_right = get_theme_mod('food_truck_lite_product_sale_right_padding');
	if($food_truck_lite_product_sale_top != false || $food_truck_lite_product_sale_bottom != false || $food_truck_lite_product_sale_left != false || $food_truck_lite_product_sale_right != false){
		$food_truck_lite_custom_css .='.woocommerce span.onsale {';
			$food_truck_lite_custom_css .='padding-top: '.esc_attr($food_truck_lite_product_sale_top).'px; padding-bottom: '.esc_attr($food_truck_lite_product_sale_bottom).'px; padding-left: '.esc_attr($food_truck_lite_product_sale_left).'px; padding-right: '.esc_attr($food_truck_lite_product_sale_right).'px;';
		$food_truck_lite_custom_css .='}';
	}

	$food_truck_lite_product_sale_border_radius = get_theme_mod('food_truck_lite_product_sale_border_radius',10);
	if($food_truck_lite_product_sale_border_radius != false){
		$food_truck_lite_custom_css .='.woocommerce span.onsale {';
			$food_truck_lite_custom_css .='border-radius: '.esc_attr($food_truck_lite_product_sale_border_radius).'px;';
		$food_truck_lite_custom_css .='}';
	}

	$food_truck_lite_menu_case = get_theme_mod('food_truck_lite_product_sale_position', 'Right');
	if($food_truck_lite_menu_case == 'Right' ){
		$food_truck_lite_custom_css .='.woocommerce ul.products li.product .onsale{';
			$food_truck_lite_custom_css .=' left:auto; right:0;';
		$food_truck_lite_custom_css .='}';
	}elseif($food_truck_lite_menu_case == 'Left' ){
		$food_truck_lite_custom_css .='.woocommerce ul.products li.product .onsale{';
			$food_truck_lite_custom_css .=' left:-10px; right:auto;';
		$food_truck_lite_custom_css .='}';
	}

	$food_truck_lite_product_sale_font_size = get_theme_mod('food_truck_lite_product_sale_font_size',13);
	$food_truck_lite_custom_css .='.woocommerce span.onsale {';
		$food_truck_lite_custom_css .='font-size: '.esc_attr($food_truck_lite_product_sale_font_size).'px;';
	$food_truck_lite_custom_css .='}';


	/*---- Comment form ----*/
	$food_truck_lite_comment_width = get_theme_mod('food_truck_lite_comment_width', '100');
	$food_truck_lite_custom_css .='#comments textarea{';
		$food_truck_lite_custom_css .=' width:'.esc_attr($food_truck_lite_comment_width).'%;';
	$food_truck_lite_custom_css .='}';

	$food_truck_lite_comment_submit_text = get_theme_mod('food_truck_lite_comment_submit_text', 'Post Comment');
	if($food_truck_lite_comment_submit_text == ''){
		$food_truck_lite_custom_css .='#comments p.form-submit {';
			$food_truck_lite_custom_css .='display: none;';
		$food_truck_lite_custom_css .='}';
	}

	$food_truck_lite_comment_title = get_theme_mod('food_truck_lite_comment_title', 'Leave a Reply');
	if($food_truck_lite_comment_title == ''){
		$food_truck_lite_custom_css .='#comments h2#reply-title {';
			$food_truck_lite_custom_css .='display: none;';
		$food_truck_lite_custom_css .='}';
	}

	/*------ Footer background css -------*/
	$food_truck_lite_footer_bg_color = get_theme_mod('food_truck_lite_footer_bg_color');
	if($food_truck_lite_footer_bg_color != false){
		$food_truck_lite_custom_css .='.footerinner{';
			$food_truck_lite_custom_css .='background-color: '.esc_attr($food_truck_lite_footer_bg_color).';';
		$food_truck_lite_custom_css .='}';
	}

	$food_truck_lite_footer_bg_image = get_theme_mod('food_truck_lite_footer_bg_image');
	if($food_truck_lite_footer_bg_image != false){
		$food_truck_lite_custom_css .='.footerinner{';
			$food_truck_lite_custom_css .='background: url('.esc_attr($food_truck_lite_footer_bg_image).');';
		$food_truck_lite_custom_css .='}';
	}

	/*----- Featured image css -----*/
	$food_truck_lite_feature_image_border_radius = get_theme_mod('food_truck_lite_feature_image_border_radius');
	if($food_truck_lite_feature_image_border_radius != false){
		$food_truck_lite_custom_css .='.blog-sec img{';
			$food_truck_lite_custom_css .='border-radius: '.esc_attr($food_truck_lite_feature_image_border_radius).'px;';
		$food_truck_lite_custom_css .='}';
	}

	$food_truck_lite_feature_image_shadow = get_theme_mod('food_truck_lite_feature_image_shadow');
	if($food_truck_lite_feature_image_shadow != false){
		$food_truck_lite_custom_css .='.blog-sec img{';
			$food_truck_lite_custom_css .='box-shadow: '.esc_attr($food_truck_lite_feature_image_shadow).'px '.esc_attr($food_truck_lite_feature_image_shadow).'px '.esc_attr($food_truck_lite_feature_image_shadow).'px #aaa;';
		$food_truck_lite_custom_css .='}';
	}

	/*------ Sticky header padding ------------*/
	$food_truck_lite_top_sticky_header_padding = get_theme_mod('food_truck_lite_top_sticky_header_padding');
	$food_truck_lite_bottom_sticky_header_padding = get_theme_mod('food_truck_lite_bottom_sticky_header_padding');
	$food_truck_lite_custom_css .=' .fixed-header{';
		$food_truck_lite_custom_css .=' padding-top: '.esc_attr($food_truck_lite_top_sticky_header_padding).'px; padding-bottom: '.esc_attr($food_truck_lite_bottom_sticky_header_padding).'px';
	$food_truck_lite_custom_css .='}';

		// featured image dimention
	$food_truck_lite_blog_image_dimension = get_theme_mod('food_truck_lite_blog_image_dimension', 'default');
	$food_truck_lite_feature_image_custom_width = get_theme_mod('food_truck_lite_feature_image_custom_width',250);
	$food_truck_lite_feature_image_custom_height = get_theme_mod('food_truck_lite_feature_image_custom_height',250);
	if($food_truck_lite_blog_image_dimension == 'custom'){
		$food_truck_lite_custom_css .='.blog-sec img{';
			$food_truck_lite_custom_css .='width: '.esc_attr($food_truck_lite_feature_image_custom_width).'px; height: '.esc_attr($food_truck_lite_feature_image_custom_height).'px;';
		$food_truck_lite_custom_css .='}';
	}

	/*------ Related products ---------*/
	$food_truck_lite_related_products = get_theme_mod('food_truck_lite_single_related_products',true);
	if($food_truck_lite_related_products == false){
		$food_truck_lite_custom_css .=' .related.products{';
			$food_truck_lite_custom_css .='display: none;';
		$food_truck_lite_custom_css .='}';
	}

	/*-------- Menu Font Size --------*/
	$food_truck_lite_menu_font_size = get_theme_mod('food_truck_lite_menu_font_size',15);
	if($food_truck_lite_menu_font_size != false){
		$food_truck_lite_custom_css .='.nav-menu li a{';
			$food_truck_lite_custom_css .='font-size: '.esc_attr($food_truck_lite_menu_font_size).'px;';
		$food_truck_lite_custom_css .='}';
	}

	$food_truck_lite_menu_font_weight = get_theme_mod('food_truck_lite_menu_font_weight');
	$food_truck_lite_custom_css .='.nav-menu li a{';
		$food_truck_lite_custom_css .='font-weight: '.esc_attr($food_truck_lite_menu_font_weight).';';
	$food_truck_lite_custom_css .='}';

	// Featured image header
	$header_image_url = food_truck_lite_banner_image( $image_url = '' );
	$food_truck_lite_custom_css .='#page-site-header{';
		$food_truck_lite_custom_css .='background-image: url('. esc_url( $header_image_url ).'); background-size: cover;';
	$food_truck_lite_custom_css .='}';

	$food_truck_lite_post_featured_image = get_theme_mod('food_truck_lite_post_featured_image', 'in-content');
	if($food_truck_lite_post_featured_image == 'banner' ){
		$food_truck_lite_custom_css .='.single #wrapper h1, .page #wrapper h1, .page #wrapper img{';
			$food_truck_lite_custom_css .=' display: none;';
		$food_truck_lite_custom_css .='}';
		$food_truck_lite_custom_css .='.page-template-custom-front-page #page-site-header{';
			$food_truck_lite_custom_css .=' display: none;';
		$food_truck_lite_custom_css .='}';
	}

	// Woocommerce Shop page pagination
	$food_truck_lite_shop_page_navigation = get_theme_mod('food_truck_lite_shop_page_navigation',true);
	if ($food_truck_lite_shop_page_navigation == false) {
		$food_truck_lite_custom_css .='.woocommerce nav.woocommerce-pagination{';
			$food_truck_lite_custom_css .='display: none;';
		$food_truck_lite_custom_css .='}';
	}

	/*----- Blog Post display type css ------*/
	$food_truck_lite_blog_post_display_type = get_theme_mod('food_truck_lite_blog_post_display_type', 'blocks');
	if($food_truck_lite_blog_post_display_type == 'without blocks' ){
		$food_truck_lite_custom_css .='.blog .blog-sec, .blog #sidebar .widget{';
			$food_truck_lite_custom_css .='border: 0;';
		$food_truck_lite_custom_css .='}';
	}

	/*---------- Responsive style ---------*/

	$food_truck_lite_toggle_button_bg_color_settings = get_theme_mod('food_truck_lite_toggle_button_bg_color_settings');
	$food_truck_lite_custom_css .='.toggle-menu {';
	$food_truck_lite_custom_css .='background-color: '.esc_attr($food_truck_lite_toggle_button_bg_color_settings).';';
	$food_truck_lite_custom_css .='} ';

	
	if (get_theme_mod('food_truck_lite_hide_topbar_responsive',true) == true && get_theme_mod('food_truck_lite_top_header',false) == false) {
		$food_truck_lite_custom_css .='.top-bar{';
			$food_truck_lite_custom_css .=' display: none;';
		$food_truck_lite_custom_css .='} ';
	}

    if (get_theme_mod('food_truck_lite_sticky_header_responsive') == false) {
		$food_truck_lite_custom_css .='@media screen and (max-width: 575px){
			.sticky{';
			$food_truck_lite_custom_css .=' position: static;';
		$food_truck_lite_custom_css .='} }';
	}

	if (get_theme_mod('food_truck_lite_hide_topbar_responsive',true) == false) {
		$food_truck_lite_custom_css .='@media screen and (max-width: 575px){
			.top-bar{';
			$food_truck_lite_custom_css .=' display: none;';
		$food_truck_lite_custom_css .='} }';
	} else if(get_theme_mod('food_truck_lite_hide_topbar_responsive',true) == true){
		$food_truck_lite_custom_css .='@media screen and (max-width: 575px){
			.top-bar{';
			$food_truck_lite_custom_css .=' display: block;';
		$food_truck_lite_custom_css .='} }';
	}

	$food_truck_lite_resp_sidebar = get_theme_mod( 'food_truck_lite_sidebar_hide_show',true);
    if($food_truck_lite_resp_sidebar == true){
    	$food_truck_lite_custom_css .='@media screen and (max-width:575px) {';
		$food_truck_lite_custom_css .='#sidebar{';
			$food_truck_lite_custom_css .='display:block;';
		$food_truck_lite_custom_css .='} }';
	}else if($food_truck_lite_resp_sidebar == false){
		$food_truck_lite_custom_css .='@media screen and (max-width:575px) {';
		$food_truck_lite_custom_css .='#sidebar{';
			$food_truck_lite_custom_css .='display:none;';
		$food_truck_lite_custom_css .='} }';
	}

	// Site title Font Size
	$food_truck_lite_site_title_font_size = get_theme_mod('food_truck_lite_site_title_font_size', '25');
	$food_truck_lite_custom_css .='.logo h1, .logo p.site-title{';
		$food_truck_lite_custom_css .='font-size: '.esc_attr($food_truck_lite_site_title_font_size).'px;';
	$food_truck_lite_custom_css .='}';

	// Site tagline Font Size
	$food_truck_lite_site_tagline_font_size = get_theme_mod('food_truck_lite_site_tagline_font_size', '14');
	$food_truck_lite_custom_css .='.logo p.site-description{';
		$food_truck_lite_custom_css .='font-size: '.esc_attr($food_truck_lite_site_tagline_font_size).'px;';
	$food_truck_lite_custom_css .='}';

	/*---- Slider Content Position -----*/
	$food_truck_lite_top_position = get_theme_mod('food_truck_lite_slider_top_position');
	$food_truck_lite_bottom_position = get_theme_mod('food_truck_lite_slider_bottom_position');
	$food_truck_lite_left_position = get_theme_mod('food_truck_lite_slider_left_position');
	$food_truck_lite_right_position = get_theme_mod('food_truck_lite_slider_right_position');
	if($food_truck_lite_top_position != false || $food_truck_lite_bottom_position != false || $food_truck_lite_left_position != false || $food_truck_lite_right_position != false){
		$food_truck_lite_custom_css .='#slider .carousel-caption{';
			$food_truck_lite_custom_css .='top: '.esc_attr($food_truck_lite_top_position).'%; bottom: '.esc_attr($food_truck_lite_bottom_position).'%; left: '.esc_attr($food_truck_lite_left_position).'%; right: '.esc_attr($food_truck_lite_right_position).'%;';
		$food_truck_lite_custom_css .='}';
	}

	/*-----------Slider Content Layout ----------------*/

	$food_truck_lite_slider_layout = get_theme_mod( 'food_truck_lite_slider_alignment_option','Center Align');
    if($food_truck_lite_slider_layout == 'Left Align'){
		$food_truck_lite_custom_css .='#slider .carousel-caption, #slider .inner_carousel{';
			$food_truck_lite_custom_css .='text-align:left;';
		$food_truck_lite_custom_css .='}';
		$food_truck_lite_custom_css .='#slider .carousel-caption{';
		$food_truck_lite_custom_css .='left:15%; right:40%;';
		$food_truck_lite_custom_css .='}';
	}else if($food_truck_lite_slider_layout == 'Center Align'){
		$food_truck_lite_custom_css .='#slider .carousel-caption, #slider .inner_carousel{';
			$food_truck_lite_custom_css .='text-align:center;';
		$food_truck_lite_custom_css .='}';
		$food_truck_lite_custom_css .='#slider .carousel-caption{';
		$food_truck_lite_custom_css .='left:27%; right:27%;';
		$food_truck_lite_custom_css .='}';
	}else if($food_truck_lite_slider_layout == 'Right Align'){
		$food_truck_lite_custom_css .='#slider .carousel-caption, #slider .inner_carousel{';
			$food_truck_lite_custom_css .='text-align:right;';
		$food_truck_lite_custom_css .='}';
		$food_truck_lite_custom_css .='#slider .carousel-caption{';
		$food_truck_lite_custom_css .='left:40%; right:15%;';
		$food_truck_lite_custom_css .='}';
	}

	/*--------------------------- Slider Opacity -------------------*/
	$food_truck_lite_theme_lay = get_theme_mod( 'food_truck_lite_slider_image_opacity','0.7');
	if($food_truck_lite_theme_lay == '0'){
		$food_truck_lite_custom_css .='#slider img{';
			$food_truck_lite_custom_css .='opacity:0';
		$food_truck_lite_custom_css .='}';
		}else if($food_truck_lite_theme_lay == '0.1'){
		$food_truck_lite_custom_css .='#slider img{';
			$food_truck_lite_custom_css .='opacity:0.1';
		$food_truck_lite_custom_css .='}';
		}else if($food_truck_lite_theme_lay == '0.2'){
		$food_truck_lite_custom_css .='#slider img{';
			$food_truck_lite_custom_css .='opacity:0.2';
		$food_truck_lite_custom_css .='}';
		}else if($food_truck_lite_theme_lay == '0.3'){
		$food_truck_lite_custom_css .='#slider img{';
			$food_truck_lite_custom_css .='opacity:0.3';
		$food_truck_lite_custom_css .='}';
		}else if($food_truck_lite_theme_lay == '0.4'){
		$food_truck_lite_custom_css .='#slider img{';
			$food_truck_lite_custom_css .='opacity:0.4';
		$food_truck_lite_custom_css .='}';
		}else if($food_truck_lite_theme_lay == '0.5'){
		$food_truck_lite_custom_css .='#slider img{';
			$food_truck_lite_custom_css .='opacity:0.5';
		$food_truck_lite_custom_css .='}';
		}else if($food_truck_lite_theme_lay == '0.6'){
		$food_truck_lite_custom_css .='#slider img{';
			$food_truck_lite_custom_css .='opacity:0.6';
		$food_truck_lite_custom_css .='}';
		}else if($food_truck_lite_theme_lay == '0.7'){
		$food_truck_lite_custom_css .='#slider img{';
			$food_truck_lite_custom_css .='opacity:0.7';
		$food_truck_lite_custom_css .='}';
		}else if($food_truck_lite_theme_lay == '0.8'){
		$food_truck_lite_custom_css .='#slider img{';
			$food_truck_lite_custom_css .='opacity:0.8';
		$food_truck_lite_custom_css .='}';
		}else if($food_truck_lite_theme_lay == '0.9'){
		$food_truck_lite_custom_css .='#slider img{';
			$food_truck_lite_custom_css .='opacity:0.9';
		$food_truck_lite_custom_css .='}';
		}


	// responsive settings
	if (get_theme_mod('food_truck_lite_preloader_responsive',false) == true && get_theme_mod('food_truck_lite_preloader',false) == false) {
		$food_truck_lite_custom_css .='@media screen and (min-width: 575px){
			.preloader, #overlayer, .tg-loader{';
			$food_truck_lite_custom_css .=' visibility: hidden;';
		$food_truck_lite_custom_css .='} }';
	}
	if (get_theme_mod('food_truck_lite_preloader_responsive',false) == false) {
		$food_truck_lite_custom_css .='@media screen and (max-width: 575px){
			.preloader, #overlayer, .tg-loader{';
			$food_truck_lite_custom_css .=' visibility: hidden;';
		$food_truck_lite_custom_css .='} }';
	}

	// scroll to top
	$food_truck_lite_scroll = get_theme_mod( 'food_truck_lite_backtotop_responsive',true);
	if (get_theme_mod('food_truck_lite_backtotop_responsive',true) == true && get_theme_mod('food_truck_lite_hide_scroll',true) == false) {
    	$food_truck_lite_custom_css .='.show-back-to-top{';
			$food_truck_lite_custom_css .='visibility: hidden !important;';
		$food_truck_lite_custom_css .='} ';
	}
    if($food_truck_lite_scroll == true){
    	$food_truck_lite_custom_css .='@media screen and (max-width:575px) {';
		$food_truck_lite_custom_css .='.show-back-to-top{';
			$food_truck_lite_custom_css .='visibility: visible !important;';
		$food_truck_lite_custom_css .='} }';
	}else if($food_truck_lite_scroll == false){
		$food_truck_lite_custom_css .='@media screen and (max-width:575px) {';
		$food_truck_lite_custom_css .='.show-back-to-top{';
			$food_truck_lite_custom_css .='visibility: hidden !important;';
		$food_truck_lite_custom_css .='} }';
	}

	/*------ Footer background css -------*/
	$food_truck_lite_copyright_bg_color = get_theme_mod('food_truck_lite_copyright_bg_color');
	if($food_truck_lite_copyright_bg_color != false){
		$food_truck_lite_custom_css .='.inner{';
			$food_truck_lite_custom_css .='background-color: '.esc_attr($food_truck_lite_copyright_bg_color).';';
		$food_truck_lite_custom_css .='}';
	}

	// Slider css
	$food_truck_lite_show_slider = get_theme_mod('food_truck_lite_show_slider',false);
	if($food_truck_lite_show_slider == false){
		$food_truck_lite_custom_css .=' .page-template-custom-front-page #header{';
			$food_truck_lite_custom_css .='position: static; border-bottom: 1px solid;';
		$food_truck_lite_custom_css .='}';
	}

	// site logo padding 
	$food_truck_lite_logo_spacing = get_theme_mod('food_truck_lite_logo_spacing', '');
	$food_truck_lite_custom_css .='.logo{';
	$food_truck_lite_custom_css .='padding: '.esc_attr($food_truck_lite_logo_spacing).'px;';
	$food_truck_lite_custom_css .='}';

	// site title color
	$food_truck_lite_site_title_text_color = get_theme_mod('food_truck_lite_site_title_text_color');
	$food_truck_lite_custom_css .='.logo h1 a, .logo p.site-title a{';
		$food_truck_lite_custom_css .='color: '.esc_attr($food_truck_lite_site_title_text_color).' !important;';
	$food_truck_lite_custom_css .='}';

	// site tagline color
	$food_truck_lite_site_tagline_text_color = get_theme_mod('food_truck_lite_site_tagline_text_color');
	$food_truck_lite_custom_css .='.logo p.site-description{';
		$food_truck_lite_custom_css .='color: '.esc_attr($food_truck_lite_site_tagline_text_color).' !important;';
	$food_truck_lite_custom_css .='}';

	// responsive slider
	if (get_theme_mod('food_truck_lite_slider_responsive',true) == true && get_theme_mod('food_truck_lite_show_slider',false) == false) {
		$food_truck_lite_custom_css .='@media screen and (min-width: 575px){
			#slider{';
			$food_truck_lite_custom_css .=' display: none;';
		$food_truck_lite_custom_css .='} }';
	}
	if (get_theme_mod('food_truck_lite_slider_responsive',true) == false) {
		$food_truck_lite_custom_css .='@media screen and (max-width: 575px){
			#slider{';
			$food_truck_lite_custom_css .=' display: none;';
		$food_truck_lite_custom_css .='} }';
	}

	// slider button
	if (get_theme_mod('food_truck_lite_slider_button_responsive',true) == true && get_theme_mod('food_truck_lite_slider_button',true) == false) {
		$food_truck_lite_custom_css .='@media screen and (min-width: 575px){
			.read-more{';
			$food_truck_lite_custom_css .=' display: none;';
		$food_truck_lite_custom_css .='} }';
	}
	if (get_theme_mod('food_truck_lite_slider_button_responsive',true) == false) {
		$food_truck_lite_custom_css .='@media screen and (max-width: 575px){
			.read-more{';
			$food_truck_lite_custom_css .=' display: none;';
		$food_truck_lite_custom_css .='} }';
	}

	// menu padding
	$food_truck_lite_menu_padding = get_theme_mod('food_truck_lite_menu_padding', 10);
	$food_truck_lite_custom_css .='.nav-menu a, .sf-arrows ul .sf-with-ul, .sf-arrows .sf-with-ul, .nav ul li a{';
		$food_truck_lite_custom_css .='padding: '.esc_attr($food_truck_lite_menu_padding).'px;';
	$food_truck_lite_custom_css .='}';

	// menu text transform
	$food_truck_lite_theme_lay = get_theme_mod( 'food_truck_lite_text_tranform_menu','Capitalize');
    if($food_truck_lite_theme_lay == 'Capitalize'){
		$food_truck_lite_custom_css .='.nav-menu ul li a{';
			$food_truck_lite_custom_css .='';
		$food_truck_lite_custom_css .='}';
	}else if($food_truck_lite_theme_lay == 'Lowercase'){
		$food_truck_lite_custom_css .='.nav-menu ul li a{';
			$food_truck_lite_custom_css .='text-transform: lowercase;';
		$food_truck_lite_custom_css .='}';
	}
	else if($food_truck_lite_theme_lay == 'Uppercase'){
		$food_truck_lite_custom_css .='.nav-menu ul li a{';
			$food_truck_lite_custom_css .='text-transform: Uppercase;';
		$food_truck_lite_custom_css .='}';
	}

	// menu color
	$food_truck_lite_menu_color = get_theme_mod('food_truck_lite_menu_color');
	$food_truck_lite_custom_css .='.nav-menu a,.nav-menu .current_page_item > a, .nav-menu .current-menu-item > a, .nav-menu .current_page_ancestor > a{';
			$food_truck_lite_custom_css .='color: '.esc_attr($food_truck_lite_menu_color).' !important;';
	$food_truck_lite_custom_css .='}';

	// menu hover color
	$food_truck_lite_menu_hover_color = get_theme_mod('food_truck_lite_menu_hover_color');
	$food_truck_lite_custom_css .='.nav-menu a:hover, .nav-menu ul li a:hover{';
			$food_truck_lite_custom_css .='color: '.esc_attr($food_truck_lite_menu_hover_color).' !important;';
	$food_truck_lite_custom_css .='}';

	// Submenu color
	$food_truck_lite_submenu_menu_color = get_theme_mod('food_truck_lite_submenu_menu_color');
	$food_truck_lite_custom_css .='.nav-menu ul.sub-menu a, .nav-menu ul.sub-menu li a,.nav-menu ul.children a, .nav-menu ul.children li a{';
			$food_truck_lite_custom_css .='color: '.esc_attr($food_truck_lite_submenu_menu_color).' !important;';
	$food_truck_lite_custom_css .='}';

	// submenu hover color
	$food_truck_lite_submenu_hover_color = get_theme_mod('food_truck_lite_submenu_hover_color');
	$food_truck_lite_custom_css .='.nav-menu ul.sub-menu a:hover, .nav-menu ul.sub-menu li a:hover.nav-menu ul.children a:hover, .nav-menu ul.children li a:hover{';
			$food_truck_lite_custom_css .='color: '.esc_attr($food_truck_lite_submenu_hover_color).' !important;';
	$food_truck_lite_custom_css .='}';

	// Breadcrumb color option
	$food_truck_lite_breadcrumb_color = get_theme_mod('food_truck_lite_breadcrumb_color');
	$food_truck_lite_custom_css .='.bradcrumbs a,.bradcrumbs span{';
		$food_truck_lite_custom_css .='color: '.esc_attr($food_truck_lite_breadcrumb_color).'!important;';
	$food_truck_lite_custom_css .='}';

	// Breadcrumb bg color option
	$food_truck_lite_breadcrumb_background_color = get_theme_mod('food_truck_lite_breadcrumb_background_color');
	$food_truck_lite_custom_css .='.bradcrumbs a,.bradcrumbs span{';
		$food_truck_lite_custom_css .='background-color: '.esc_attr($food_truck_lite_breadcrumb_background_color).'!important;';
	$food_truck_lite_custom_css .='}';

	// Breadcrumb hover color option
	$food_truck_lite_breadcrumb_hover_color = get_theme_mod('food_truck_lite_breadcrumb_hover_color');
	$food_truck_lite_custom_css .='.bradcrumbs a:hover{';
		$food_truck_lite_custom_css .='color: '.esc_attr($food_truck_lite_breadcrumb_hover_color).'!important;';
	$food_truck_lite_custom_css .='}';

	// Breadcrumb hover bg color option
	$food_truck_lite_breadcrumb_hover_bg_color = get_theme_mod('food_truck_lite_breadcrumb_hover_bg_color');
	$food_truck_lite_custom_css .='#maincontent .bradcrumbs a:hover{';
		$food_truck_lite_custom_css .='background-color: '.esc_attr($food_truck_lite_breadcrumb_hover_bg_color).'!important;';
	$food_truck_lite_custom_css .='}';

	// Single post image border radious
	$food_truck_lite_single_post_img_border_radius = get_theme_mod('food_truck_lite_single_post_img_border_radius', 0);
	$food_truck_lite_custom_css .='.feature-box img{';
		$food_truck_lite_custom_css .='border-radius: '.esc_attr($food_truck_lite_single_post_img_border_radius).'px;';
	$food_truck_lite_custom_css .='}';

	// Single post image box shadow
	$food_truck_lite_single_post_img_box_shadow = get_theme_mod('food_truck_lite_single_post_img_box_shadow',0);
	$food_truck_lite_custom_css .='.feature-box img{';
		$food_truck_lite_custom_css .='box-shadow: '.esc_attr($food_truck_lite_single_post_img_box_shadow).'px '.esc_attr($food_truck_lite_single_post_img_box_shadow).'px '.esc_attr($food_truck_lite_single_post_img_box_shadow).'px #ccc;';
	$food_truck_lite_custom_css .='}';


	// Button Font Size
	$food_truck_lite_button_font_size = get_theme_mod('food_truck_lite_button_font_size', '16');
	$food_truck_lite_custom_css .='.blogbtn a{';
		$food_truck_lite_custom_css .='font-size: '.esc_attr($food_truck_lite_button_font_size).'px;';
	$food_truck_lite_custom_css .='}';